"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = createDefaultFields;
var initialFieldState = exports.initialFieldState = {
	dirty: false,
	error: null,
	touched: false
};

/**
 * Create default fields state
 *
 * @param {Object} fields - Object with field definitions
 *
 * @return {Object} - Default fields state
 */
function createDefaultFields(fields) {
	var defaultFields = {};

	fields.forEach(function (fieldName) {
		return defaultFields[fieldName] = _extends({}, initialFieldState);
	});

	return defaultFields;
}