'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createDefaultForm;

var _createDefaultFields = require('./createDefaultFields');

var _createDefaultFields2 = _interopRequireDefault(_createDefaultFields);

var _createDefaultValues = require('./createDefaultValues');

var _createDefaultValues2 = _interopRequireDefault(_createDefaultValues);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Create default form state
 *
 * @param {Object} fields   - Object with field definitions
 * @param {Object} [values] - Object with initial values
 *
 * @return {Object}
 */
function createDefaultForm(fields, values) {
  return {
    fields: (0, _createDefaultFields2.default)(fields),
    initial: (0, _createDefaultValues2.default)(fields, values),
    values: (0, _createDefaultValues2.default)(fields, values)
  };
}