'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createDefaultValues;
/**
 * Create default values state
 *
 * @param {Object} fields   - Object with field definitions
 * @param {Object} [values] - Object with initial values
 *
 * @return {Object} - Default values state
 */
function createDefaultValues(fields) {
  var values = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var defaultValues = {};

  fields.forEach(function (fieldName) {
    defaultValues[fieldName] = typeof values[fieldName] !== 'undefined' ? values[fieldName] : '';
  });

  return defaultValues;
}